/*
The following code is

© Andreas Amann, 2007-2011
http://andreasamann.com/

You may incorporate this code into your program(s) without restriction.
This code has been provided "AS IS" and the responsibility for its operation is yours.
You are not permitted to redistribute this code under my name after having made changes.
If you're going to redistribute the code, please make it clear that the code was descended
from my code, but that you've made changes.
*/

// main standings class (all sports)
SF_._standings = function(theSport)
{
	this.numPlayoffTeams = function() {return null;}
	this.tableColWidth = null;
	this.footer = "";
	this.standingsLinkList = new Array();
	this.clear();
	this.initialize(theSport);
}

SF_._standings.prototype.clear = function()
{
	this.teams = null;
	this.theIndex = null;
	this.xmlRequest = null;
	this.reloadTimer = null;
	this.popupTimer = null;
	this.header1 = null;
	this.header2 = null;
	this.showFooter = false;
}

SF_._standings.prototype.getPolls = function()
{
	this.standingsLinkList = [];
}

SF_._standings.prototype.draw = function()
{
	this.showFooter = false;
	var standingsHeader = "<table><tr>";
	standingsHeader += "<th width='" + (this.tableColWidth[0] + this.tableColWidth[1]) + "%'>" + WC_.sanitizeString(this.header2[0].replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</th>";
	for (var i = 2, len = this.tableColWidth.length; i < len; i++)
		standingsHeader += "<th width='" + this.tableColWidth[i] + "%' class='stNum'>" + WC_.sanitizeString(this.header2[i-1].replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</th>";
	$("standingsHeader").innerHTML = standingsHeader + "</tr></table>";
	var standingsTable = "<table>";
	for (var iTeam in this.teams)
	{
		this.showFooter = this.showFooter || this.teams[iTeam].clinchDetails != "";
		standingsTable += "<tr class='" + (iTeam % 2 == 0 ? "odd " : "") + (SF_.prefs.favoriteTeam != -1 && SF_.prefs.favoriteTeam == this.teams[iTeam].teamIndex ? "st_fav " : "") + (this.teams[iTeam].isEliminated ? "elim " : "") + (this.numPlayoffTeams() && this.numPlayoffTeams() == iTeam ? "playoffLimit " : "") + "team_" + iTeam + "' onmouseup=SF_.showTeamPage('" + this.teams[iTeam].teamIndex + "');" + (this.teams[iTeam].details.length + 2 <= this.tableColWidth.length ? "" : " onmouseover=SF_.theStandings.showTeamDetails(" + iTeam + ");") + ">";
		standingsTable += "<td width='" + this.tableColWidth[0] + "%'>" + (this.teams[iTeam].rank ? this.teams[iTeam].rank + " - " : "") + WC_.sanitizeString(this.teams[iTeam].teamName.replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</td><td class='stClinch' width='" + this.tableColWidth[1] + "%'>" + WC_.sanitizeString(this.teams[iTeam].clinchDetails.replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</td>";
		for (var iCell = 0, cellLen = this.tableColWidth.length - 2; iCell < cellLen; iCell++)
			standingsTable += "<td width='" + this.tableColWidth[iCell+2] + "%' class='stNum'>" + WC_.sanitizeString(this.teams[iTeam].details[iCell].replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</td>";
		standingsTable += "</tr>";
	}
	$s("mainContent").top = $s("ContentScrollbar").top = ($("standingsHeader").offsetHeight/parseInt(document.defaultView.getComputedStyle($("standingsHeader")).getPropertyValue("font-size"),10) + 1.5) + "em";
	$("mainContent").innerHTML = standingsTable + "</table>";
	$s("mainContent").bottom = this.showFooter ? "1.9em" : ".4em";
	$("standingsFooter").innerHTML = this.footer;
	$s("standingsFooter").visibility = this.showFooter ? "visible" : "";
	$s("ContentScrollbar").bottom = this.showFooter ? "2.8em" : "1.5em";
	var showScrollbar = (this.teams.length > (this.maxTeams - (this.showFooter ? 1 : 0)));
	$s("ContentScrollbar").visibility = showScrollbar ? "visible" : "";
	SF_.closePopup();
	SF_.sizeWidget();
	WC_.stopSpinner("ReloadSpinner");
	this.reloadTimer = setTimeout(function(){SF_.theStandings.load();},1800000);
	SF_.ignoreMouseUp = false;
}

SF_._standings.prototype.load = function()
{
	SF_.ignoreMouseUp = true;
	var temp = SF_.abortOngoingRequests();
	SF_.theScoreBoard.clear();
	$("titleMenu").innerHTML = "";
	$("sbMenu").innerHTML = "Scoreboard";
	$("stMenu").innerHTML = "<span class='activeMenu'>Standings</span>";
	WC_.animateSpinner("ReloadSpinner");
	if ($("mainContent").innerText == "Data Unavailable" )
		$("mainContent").innerHTML = "";
	this.theIndex = $("stPopup").selectedIndex;
	SF_.prefs.currentDisplay = this.theIndex;
	WC_.setInstancePref("currentDisplay", this.theIndex);
	var _self = this;
	this.xmlRequest = new XMLHttpRequest();
	this.xmlRequest.onload = function() {_self.parse();}
	this.xmlRequest.open("GET",this.standingsLink());
	this.xmlRequest.setRequestHeader("Cache-Control", "no-cache");
	this.xmlRequest.setRequestHeader("Cookie", "");
	this.xmlRequest.send(null);
}

SF_._standings.prototype.showTeamDetails = function(iTeam)
{
	if ($s("ReloadSpinner").visibility == "visible") return;
	if (this.popupTimer != null)
		clearTimeout(this.popupTimer);
	if (!this.header2 || !this.teams) return;
	$("mainContent").innerHTML = $("mainContent").innerHTML.replace(/ selected/g,"").replace(new RegExp("(team_" + iTeam + ")","g"),"$1 selected");
	var teamDetails = "<table><tr>" + (this.header1 || "");
	var colWidth = 100 / (Math.min(this.header2.length,this.teams[iTeam].details.length + 1) - this.tableColWidth.length + 1);
	for (var i = this.tableColWidth.length - 1, len = Math.min(this.header2.length,this.teams[iTeam].details.length + 1); i < len; i++)
		teamDetails += "<th class='stDetails' width='" + colWidth + "%'>" + WC_.sanitizeString(this.header2[i].replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</th>";
	teamDetails += "</tr><tr>";
	for (var i = this.tableColWidth.length - 2, len = Math.min(this.header2.length - 1,this.teams[iTeam].details.length); i < len; i++)
		teamDetails += "<td class='stDetails' width='" + colWidth + "%'>" + WC_.sanitizeString(this.teams[iTeam].details[i].replace(/-/g,"&#8209;").replace(/ +/g," ")) + "</td>";
	$("scoreDetails").innerHTML = teamDetails + "</tr></table>";
	$s("scoreDetails").width = $("frontContent").offsetWidth + "px";
	$s("gameDetails").left = "1em";
	$s("gameDetails").height = this.header1 ? "4em" : "2.9em";
	$s("gameDetails").width = ($("scoreDetails").offsetWidth + 4) + "px";
	$s("gameDetails").visibility = "visible";
	WC_.refreshView();
	var _self = this;
	setTimeout("$('gameDetails').onmouseover = function() { SF_.closePopup();}",1000);
	this.popupTimer = setTimeout(function(){SF_.closePopup(_self);},10000);
}

// custom class setup and functions (individual sports)
SF_._standings.prototype.initialize = function(theType)
{
	switch (theType)
	{
		case "MLB":
			this.tableColWidth = [50,0,11,11,14,14];
			this.standingsLink = function(){
				if (SF_.prefs.currentLeague == "MLB")
					return "http://mlb.mlb.com/components/game/" + SF_.theScoreBoard._MLB_getDateString() + "/standings_rs_" + ['ale','alc','alw','alwc','nle','nlc','nlw','nlwc'][this.theIndex] + ".js";
				else
					return "http://web.minorleaguebaseball.com/gen/stats/jsdata/leagues/" + (new Date()).getFullYear() + "/" + this.standingsLinkList[this.theIndex].split("|")[0] + "/standings.js";
			}
			this.maxTeams = 6;
			this.parse = this.parse_MLB;
			break;
		case "NBA":
			this.footer = "<table><tr><td width='50%' style='text-align:center;'>x-clinched playoff berth</td><td width='50%' style='text-align:center;'>y-clinched division title</td></tr></table>";
			this.standingsLink = function(){
				if (SF_.prefs.currentLeague == "NBA")
					return "http://www.nba.com/standings/team_record_comparison/conferenceNew_Std_" + (this.theIndex == 3 || this.theIndex == 7 ? "Cnf" : "Div") + ".html";
				else if (SF_.prefs.currentLeague == "WNBA")
					return "http://www.wnba.com/standings/team_record_comparison/conferenceNew_Std_Cnf.html";
				else
					return "http://www.sportsline.com/collegebasketball/" + this.standingsLinkList[this.theIndex].split("|")[0];
			}
			this.maxTeams = 7;
			this.numPlayoffTeams = function()
			{
				if (SF_.prefs.currentLeague == "NBA")
					return 8;
				else if (SF_.prefs.currentLeague == "WNBA")
					return 4;
				else
					return null;
			}
			this.parse = this.parse_NBA;
			this.getPolls = this.getPolls_NBA;
			break;
		case "NFL":
			this.footer = "<table><tr><td>x-clinched playoff berth<br />y-clinched division title</td><td>z-clinched first-round bye<br />*-clinched homefield advantage</td></tr></table>";
			this.standingsLink = function(){
				if (SF_.prefs.currentLeague == "NFL")
					return "http://www.sportsline.com/nfl/standings/";
				else
					return "http://www.sportsline.com/collegefootball/" + this.standingsLinkList[this.theIndex].split("|")[0];
			}
			this.maxTeams = 8;
			this.parse = this.parse_NFL;
			this.getPolls = this.getPolls_NFL;
			break;
		case "NHL":
			this.footer = "<table><tr><td>x-clinched playoff berth<br />y-clinched division title</td><td>z-clinched first-round bye<br /> </td></tr></table>";
			this.standingsLink = function(){return "http://www.sportsline.com/nhl/standings" + (this.theIndex == 3 || this.theIndex == 7 ? "/conference" : "");}
			this.maxTeams = 7;
			this.numPlayoffTeams = function(){return 8;}
			this.parse = this.parse_NHL;
			break;
	}
}

SF_._standings.prototype.parse_NHL = function()
{
	if (!this.xmlRequest) return;
	this.teams = new Array();
	var xmlResponse = this.xmlRequest.responseText;
	this.xmlRequest = null;
	if (!xmlResponse)
	{
		SF_.theScoreBoard.customText("Data Unavailable");
		return;
	}
	var isConference = this.theIndex == 3 || this.theIndex == 7;
	this.tableColWidth = isConference ? [57,7,12,12,12] : [45,7,12,12,12,12];
	var isPreseason = false;
	xmlResponse = xmlResponse.replace(/[\n\r]/g,"");
	if (xmlResponse.match(/<a class=optsel[^>]*\/standings/))
	{
		if (xmlResponse.match(/<a class=optsel[^>]*\/standings\/preseason\//i))
		{
			isPreseason = true;
			this.tableColWidth = [51,0,12,12,12,12];
		}
	}
	xmlResponse = xmlResponse.match(new RegExp("<table class=\"data\"[^>]*><tr[^>]*><td[^>]*>" + ["Atlantic Division","Northeast Division","Southeast Division","Eastern Conference","Central Division","Northwest Division","Pacific Division","Western Conference"][this.theIndex] + ".*?<\/table>","g"))[0];
	xmlResponse = xmlResponse.match(/<tr.*?<\/tr>/g);
	this.header1 = null;
	this.header2 = [xmlResponse[0].replace(/.*?td.*?colspan.*?>([^<]*)\s*<\/td.*/,"$1").replace(/(Division)/,isPreseason ? "(Preseason)" : "$1")];
	for (var iCell = 1, cellLen = xmlResponse[1].match(/<td.*?<\/td>/g).length, headerArray = xmlResponse[1].match(/<td.*?<\/td>/g).join('|').replace(/<.*?>/g,"").split('|'); iCell < cellLen; iCell++)
		this.header2.push(headerArray[iCell]);
	for (var iTeam = 2, teamLen = xmlResponse.length; iTeam < teamLen; iTeam++)
	{
		var theArray = xmlResponse[iTeam].match(/<td.*?<\/td>/g).join('|').replace(/<td.*?>(?:<nobr>[0-9 ]*)?(.*?)-?<a.*?\/page\/(.*)>(.*?)<\/a>/i,"$2|$3|$1").replace(/<.*?>/g,"").replace(/\|[0-9]+\.\s*/,"|").split('|');
		this.teams.push({
			teamIndex: SF_.getTeamIndex("shortName", theArray[0]),
			isEliminated: false,
			clinchDetails: theArray[2],
			teamName: theArray[1],
			details: theArray
		});
		this.teams[this.teams.length-1].details.splice(0,3);
	}
	this.draw();
}

SF_._standings.prototype.getPolls_NBA = function()
{
	if (SF_.prefs.currentLeague.match(/NBA/))
		this.standingsLinkList = [];
	else
		this.standingsLinkList = [
			{name:"AP Top 25", link:"polls/ap|-1|0"},
			{name:"Coaches Poll", link:"polls/coaches|-1|0"}
		];
}

SF_._standings.prototype.parse_NBA = function()
{
	if (!this.xmlRequest) return;
	this.teams = new Array();
	var xmlResponse = this.xmlRequest.responseText;
	this.xmlRequest = null;
	if (!xmlResponse)
	{
		SF_.theScoreBoard.customText("Data Unavailable");
		return;
	}
	xmlResponse = xmlResponse.replace(/[\n\r]/g,"");
	this.header1 = null;
	var teamIndexes = [0,0];
	if (SF_.prefs.currentLeague.match(/NBA/))
	{
		var isConference = this.theIndex == 3 || this.theIndex == 7;
		this.tableColWidth = [53,5,8,8,14,12];
		if (SF_.prefs.currentLeague == "NBA")
		{
			this.header2 = ["Atlantic","Central","Southeast","Eastern","Northwest","Pacific","Southwest","Western"][this.theIndex];
			xmlResponse = xmlResponse.match(new RegExp("<tr class=\"title\">[^<]*<td[^>]*>" + this.header2 + ".*?(?:<tr class=\"title\">|class=\"confTitle\"|<\/table>)", "g"))[0];
		}
		else
		{
			this.header2 = ["Eastern","Western"][this.theIndex];
			xmlResponse = xmlResponse.match(new RegExp("<div[^>]*>" + this.header2 + ".*?(?:class=\"confTitle\"|<\/table>)", "g"))[0];
		}
		xmlResponse = xmlResponse.match(/<tr.*?<\/tr>/ig);
		this.header2 = [this.header2 + (isConference ? " Conference" : " Division")];
	}
	else
	{
		teamIndexes = [parseInt(this.standingsLinkList[this.theIndex].split("|")[1],10), parseInt(this.standingsLinkList[this.theIndex].split("|")[2],10)];
		this.tableColWidth = teamIndexes[0] < 0 ? [57,0,15,15,13] : [61,0,12,12,15];
		var updateString = xmlResponse.match(/>Updated:.*?\(.*?\)/);
		updateString = updateString ? updateString[0].replace(/.*(\(.*)/," $1") : "";
		xmlResponse = xmlResponse.match(/<table class="?data.*?<\/table>/ig)[0]; //"
		xmlResponse = xmlResponse.replace(/<tr[^>]*id=special.*?<\/tr>/ig,"");
		xmlResponse = xmlResponse.match(/<tr.*?<\/tr>/ig);
		this.header2 = [xmlResponse[0].replace(/.*?td.*?>([^<]*)\s*<\/td.*/i,"$1 ") + (teamIndexes[0] < 0 || $("stPopup").value.match(/Conference/) ? "" : " " + $("stPopup").value) + updateString];
		xmlResponse.splice(0, 2 + (teamIndexes[0] > 0 ? 2 + teamIndexes[0] : 0));
		if (teamIndexes[0] < 0)
		{
			xmlResponse.splice(0,0,"<td></td><td>Record</td><td>Points</td><td>Prev</td>");
			if (xmlResponse.length > 26)
				xmlResponse.splice(26,xmlResponse.length - 26);
		}
		if (teamIndexes[1])
			xmlResponse.splice(teamIndexes[1] + 2,xmlResponse.length);
		this.header1 = "<th colspan='3'>Conference</th><th></th><th colspan='2'>Home</th><th colspan='2'>Away</th></tr>";
	}
	for (var i = 1, len = xmlResponse[0].match(/<td.*?<\/td>/ig).length; i < len; i++)
		this.header2.push(xmlResponse[0].match(/<td.*?<\/td>/ig)[i].replace(/<.*?>/g,""));
	for (var iTeam = 1, teamLen = xmlResponse.length; iTeam < teamLen; iTeam++)
	{
		var theArray = xmlResponse[iTeam].match(/<td.*?<\/td>/ig);
		theArray.splice(1,0,theArray[0].match(/.*?(<sup.*sup>).*/i) ? theArray[0].replace(/.*?(<sup.*sup>).*/i,"$1") : "");
		theArray[0] = theArray[0].replace(/<sup.*sup>/i,"");
		var teamIndex = SF_.prefs.currentLeague.match(/NBA/) ? SF_.getTeamIndex("nickname",theArray[0].replace(/.*?\/([^\/\"]*).*/,"$1")) : SF_.getTeamIndex("shortName", theArray[teamIndexes[0] < 0 ? 2 : 0].replace(/.*?page\/([^>\"\/]*).*/,"$1")); //"
		theArray = theArray.join('|').replace(/<.*?>/g,"").split('|');
		var rank = null;
		var isEliminated = false;
		if (SF_.prefs.currentLeague == "NCAAB")
		{
			// re-order to show overall stats before conference stats
			theArray = theArray.join('|').replace(/(.*?\|.*?)(\|.*?\|.*?\|.*?)(\|.*?\|.*?\|.*?)(\|.*?)/,"$1$3$2$4").split('|');
			if (teamIndexes[0] < 0)
			{
				rank = parseInt(theArray[0],10);
				theArray.splice(0,2);
				theArray.splice(1,0,"");
			}
		}
		else
		{
			isEliminated = theArray[1].match(/o$/) != null;
			theArray[1] = theArray[1].replace(/^[0-9]+/,"").replace(/^o$/,"").replace(/^(s?e|(s|n)?w|a|c|p)$/,"y");
		}
		this.teams.push({
			teamIndex: teamIndex,
			isEliminated: isEliminated,
			rank: rank,
			clinchDetails: theArray[1],
			teamName: SF_.prefs.currentLeague.match(/NBA/) ? SF_.teams[SF_.prefs.currentLeague][teamIndex].fullName : theArray[0],
			details: theArray
		});
		this.teams[this.teams.length-1].details.splice(0,2);
	}
	this.draw();
}

SF_._standings.prototype.getPolls_NFL = function()
{
	if (SF_.prefs.currentLeague == "NFL")
		this.standingsLinkList = [];
	else
		this.standingsLinkList = [
			{name:"AP Top 25", link:"polls/ap|-1|0"},
			{name:"Coaches Poll", link:"polls/coaches|-1|0"},
			{name:"Harris Poll", link:"polls/full/harris|-1|0"},
			{name:"BCS Standings", link:"polls/bcs|-2|0"}
		];
}

SF_._standings.prototype.parse_NFL = function()
{
	if (!this.xmlRequest) return;
	this.teams = new Array();
	var xmlResponse = this.xmlRequest.responseText;
	this.xmlRequest = null;
	if (!xmlResponse)
	{
		SF_.theScoreBoard.customText("Data Unavailable");
		return;
	}
	xmlResponse = xmlResponse.replace(/[\n\r]/g,"");
	this.header1 = null;
	var teamIndexes = [0,0];
	if (SF_.prefs.currentLeague == "NFL")
	{
		var isConference = this.theIndex == 3 || this.theIndex == 7;
		var isPreseason = false;
		this.tableColWidth = [48,7,10,10,10,15];
		if (xmlResponse.match(/<a class="?optsel[^>]*\/standings/))	//"
		{
			if (xmlResponse.match(/<a class="?optsel[^>]*\/standings\/preseason\//i))	//"
			{
				isPreseason = true;
				this.tableColWidth = [56,0,8,8,8,10,10];
			}
		}
		xmlResponse = xmlResponse.match(new RegExp("<table[^>]*><tr[^>]*><td[^>]*>" + ["AFC East","AFC North","AFC South","AFC West","NFC East","NFC North","NFC South","NFC West"][this.theIndex] + ".*?<\/div>"))[0];
		xmlResponse = xmlResponse.match(/<tr.*?<\/tr>/ig);
		this.header2 = [xmlResponse[0].replace(/.*?td.*?>([^<]*)\s*<\/td.*/i,"$1 ")];
		xmlResponse.splice(0,1);
	}
	else
	{
		teamIndexes = [parseInt(this.standingsLinkList[this.theIndex].split("|")[1],10), parseInt(this.standingsLinkList[this.theIndex].split("|")[2],10)];
		switch (teamIndexes[0])
		{
			case -2:
				this.tableColWidth = [65,0,35];
				break;
			case -1:
				this.tableColWidth = [57,0,15,15,13];
				break;
			default:
				this.tableColWidth = [53,7,10,10,10,10];
				break;
		}
		var updateString = teamIndexes[0] < 0 ? xmlResponse.match(/<b>Updated:<\/b>.*?\(.*?\)/) : null;
		updateString = updateString ? updateString[0].replace(/.*(\(.*)/i," $1") : "";
		xmlResponse = xmlResponse.match(/<table class="data".*?<\/div>/ig)[0];
		xmlResponse = xmlResponse.replace(/<tr[^>]*id=special.*?<\/tr>/ig,"");
		xmlResponse = xmlResponse.match(/<tr.*?<\/tr>/ig);
		this.header2 = [xmlResponse[0].replace(/.*?td.*?>([^<]*)\s*<\/td.*/i,"$1 ") + (teamIndexes[0] < 0 || $("stPopup").value.match(/Conference/) ? "" : " " + $("stPopup").value) + updateString];
		xmlResponse.splice(0, 2 + (teamIndexes[0] > 0 ? 2 + teamIndexes[0] : 0));
		if (teamIndexes[0] == -2)
			xmlResponse.splice(0,0,"<td></td><td>BCS Average</td>");
		else if (teamIndexes[0] == -1)
			xmlResponse.splice(0,0,"<td></td><td>Record</td><td>Points</td><td>Prev</td>");
		if (teamIndexes[1])
			xmlResponse.splice(teamIndexes[1] + 2,xmlResponse.length);
		this.header1 = "<th colspan='4'>Conference</th><th></th><th colspan='2'>Home</th><th colspan='2'>Away</th></tr>";
	}
	for (var i = 1, len = xmlResponse[0].match(/<td.*?<\/td>/ig).length; i < len; i++)
		this.header2.push(xmlResponse[0].match(/<td.*?<\/td>/ig)[i].replace(/<.*?>/g,""));
	for (var iTeam = 1, teamLen = xmlResponse.length; iTeam < teamLen; iTeam++)
	{
		var theArray = xmlResponse[iTeam].match(/<td.*?<\/td>/ig);
		theArray.splice(1,0,theArray[0].match(/<td.*?>(?:<nobr>[0-9 ]*)?(.*?)-?<a/i) ? theArray[0].replace(/<td.*?>(?:<nobr>[0-9 ]*)?(.*?)-?<a.*/i,"$1") : "");
		theArray[0] = theArray[0].replace(/.*?<a/i,"<a");
		if (teamIndexes[0] >= 0 || theArray[0].match(/<td.*?>[0-9]+<\/td>/))
		{
			var teamIndex = SF_.getTeamIndex("shortName", theArray[teamIndexes[0] < 0 ? 2 : 0].replace(/.*?page\/([^>\"\/]*).*/,"$1")); //"
			theArray = theArray.join('|').replace(/<.*?>/g,"").split('|');
			var rank = null;
			if (SF_.prefs.currentLeague != "NFL")
			{
				if (teamIndexes[0] < 0)
				{
					rank = parseInt(theArray[0],10);
					theArray.splice(0,2);
					theArray.splice(1,0,"");
					if (teamIndexes[0] == -2)
						theArray.splice(3,theArray.length);
				}
				else
				// re-order to show overall stats before conference stats
					theArray = theArray.join('|').replace(/(.*?\|.*?)(\|.*?\|.*?\|.*?\|.*?)(\|.*?\|.*?\|.*?\|.*?)(\|.*?)/,"$1$3$2$4").split('|');
			}
			this.teams.push({
				teamIndex: teamIndex,
				isEliminated: false,
				rank: rank,
				clinchDetails: theArray[1],
				teamName: theArray[0],
				details: theArray
			});
			this.teams[this.teams.length-1].details.splice(0,2);
		}
	}
	theArray = null;
	xmlResponse = null;
	this.draw();
}

SF_._standings.prototype.parse_MLB = function()
{
	if (!this.xmlRequest) return;
	this.teams = new Array();
	var xmlResponse = this.xmlRequest.responseText;
	this.xmlRequest = null;
	if (!xmlResponse)
	{
		SF_.theScoreBoard.customText("Data Unavailable");
		return;
	}
	xmlResponse = xmlResponse.replace(/(^ *[^:]+:.*?){.*?}(.*,$)/mg,"$1$2").replace(/[\n\r]/g,"");
	var leagueLabel = "";
	this.header1 = null;
	if (SF_.prefs.currentLeague == "MLB")
	{
		leagueLabel = (xmlResponse.match(/.*_al[ewc]{1,2} =.*/g) ? "AL " : "NL ") + (xmlResponse.match(/.*_[an]le =.*/g) ? "East" : "") + (xmlResponse.match(/.*_[an]lc =.*/g) ? "Central" : "") + (xmlResponse.match(/.*_[an]lw =.*/g) ? "West" : "") + (xmlResponse.match(/.*_[an]lwc =.*/g) ? "Wildcard" : "");	
		xmlResponse = xmlResponse.match(/{.*?}/g);
		this.header2 = [leagueLabel,"W","L","PCT","GB","E#","L10","Strk","Home","Road","RS","RA"];
		for (var i in xmlResponse)
		{
			this.teams.push({
				teamIndex: SF_.getTeamIndex("shortName", xmlResponse[i].replace(/.*code['"]?:[ '"]*([^"' ,]*).*/,"$1")),
				isEliminated: xmlResponse[i].replace(/.*elim:[ '"]*([^"' ,]*).*/,"$1") == "E",
				clinchDetails: "",
				teamName: WC_.sanitizeString(xmlResponse[i].replace(/.*league_sensitive_team_name['"]?:[ '"]*([^"',]*).*/,"$1")),
				details: [
					WC_.sanitizeString(xmlResponse[i].replace(/.*w['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*l['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*pct['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*gb['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*elim['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*last10['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*strk['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*home['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*road['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*rs['"]?:[ '"]*([^"' ,]*).*/,"$1")),
					WC_.sanitizeString(xmlResponse[i].replace(/.*ra['"]?:[ '"]*([^"' ,]*).*/,"$1"))
				]
			});
		}
	}
	else
	{
		xmlResponse = xmlResponse.match(/\[.*?\]/g);
		leagueLabel = WC_.sanitizeString(xmlResponse[this.standingsLinkList[this.theIndex].split("|")[1]].split(",")[4].replace(/[ ']*([^']*).*/,"$1"));
		this.header2 = [leagueLabel,"W","L","PCT","GB","L10","Strk","Home","Road"];
		for (var i = parseInt(this.standingsLinkList[this.theIndex].split("|")[1],10), len = parseInt(this.standingsLinkList[this.theIndex].split("|")[2],10); i <= len; i++)
		{
			var theArray = xmlResponse[i].split(",");
			this.teams.push({
				teamIndex: SF_.getTeamIndex("shortName", theArray[1].replace(/[ '"]*([^"']*).*/,"$1")),
				isEliminated: false,
				clinchDetails: "",
				teamName: WC_.sanitizeString(theArray[3].replace(/[ '"]*([^"']*).*/,"$1")),
				details: [
					WC_.sanitizeString(theArray[5].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[6].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[7].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[8].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[12].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[13].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[10].replace(/[ '"]*([^'"]*).*/,"$1")),
					WC_.sanitizeString(theArray[11].replace(/[ '"]*([^'"]*).*/,"$1"))
				]
			});
		}
	}
	this.draw();
}

//
